<?php

namespace Drupal\commerce_wallee\Services;

/**
 * Event handler for Wallee PHP SDK.
 */
interface PaymentSdkInterface {

  public function createAddress($organisation, $salutation, $family_name, $given_name, $street, $postal_code, $city, $postal_state, $country, $mail, $phone);
  public function readTransaction($user_id, $secret, $space_id, $transaction_id);
  public function createTransaction($user_id, $secret, $space_id, $return_url, $cancel_url, $currency, $order_id, $amount, $billingAddress, $shippingAddress, $environment);
  public function createRefund($user_id, $secret, $space_id, $amount, $remote_id);

}
